Glue Up API
User CollectionEvent CollectionSubscription CollectionMembership Collection
Finance Collection
User CollectionEvent CollectionSubscription CollectionMembership Collection
Finance Collection
  1. Membership Collection
  • Retrieve the Membership Directory Settings
    GET
  • Retrieve Default Company Application Form
    GET
  • Retrieve Default Individual Application Form
    GET
  • Retrieve All Company Application Forms
    POST
  • Retrieve All Individual Application Forms
    POST
  • Retrieve All Company Application Form Fields
    GET
  • Retrieve All Individual Application Form Fields
    GET
  • Retrieve the Company Membership Directory List
    POST
  • Retrieve the Basic Company Membership Directory List
    POST
  • Retrieve a Company Membership
    GET
  • Retrieve the Individual Membership Directory List
    POST
  • Retrieve a Individual Membership
    GET
  • Retrieve the Membership Member Directory List
    POST
  • Retrieve the Basic Membership Member Directory List
    POST
  • Retrieve the Membership Member by Member ID
    GET
  • Retrieve the Membership Member Directory List By User
    POST
  • Retrieve the Membership Industry List By Membership Type
    GET
  • Retrieve the Membership Type List By Page
    POST
  • Retrieve the Membership List By Page
    GET
  1. Membership Collection

Retrieve the Membership Type List By Page

API integration server (demo)
https://api-demo-story.glueup.com/v2
API integration server (demo)
https://api-demo-story.glueup.com/v2
POST
/public/membership/publishedMembershipTypeList
Retrieve the membership type list by page. This endpoint will return a list of membership types. The filter/projection/search/order will only effect on top level object.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Membership type list returned
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-demo-story.glueup.com/v2/public/membership/publishedMembershipTypeList' \
--header 'a;' \
--header 'Content-Type: application/json' \
--data '{
    "projection": [
        "tiered"
    ],
    "filter": [
        {
            "projection": "title",
            "operator": "ne",
            "values": [
                ""
            ]
        },
        {
            "projection": "tiered",
            "operator": "eq",
            "values": [
                true
            ]
        }
    ],
    "search": {
        "fields": [
            "internalTitle"
        ],
        "value": "Company ",
        "fullText": true
    },
    "order": {
        "title": "asc"
    },
    "offset": 0,
    "limit": 20,
    "language": {
        "code": "en"
    }
}'
Response Response Example
[
    {
        "id": 702,
        "organizationId": 2040,
        "title": "Membership Type Name eg.",
        "internalTitle": "Internal Membership Type Name eg.",
        "type": "People",
        "description": "<p>Membership Description eg.</p>",
        "status": "Active",
        "approvalRequired": true,
        "renewalApprovalRequired": true,
        "renewalConfirmRequired": true,
        "memberApprovalRequired": false,
        "activationRequired": true,
        "index": 4,
        "defaultLanguageCode": "en",
        "languageCode": "en",
        "renewalCreationPeriod": 30,
        "gracePeriod": 30,
        "gracePeriodEnabled": true,
        "showInDirectory": true,
        "createdOn": 1572257697000,
        "lastModified": 1572257992000,
        "activeVersions": [
            {
                "organizationId": 2040,
                "membershipTypeId": 702,
                "version": 1,
                "status": "Current",
                "duration": 12,
                "memberLimit": 0,
                "defaultCurrencyCode": "CNY",
                "free": false,
                "additionalMembersAllowed": false,
                "additionalMembersFree": true,
                "additionalMembersLimit": 0,
                "extraMembersPriceEnabled": false,
                "newTermFixedDate": true,
                "newTermFixedDay": 1,
                "newTermFixedMonth": "JANUARY",
                "proRataEnabled": true,
                "proRataStartFrom": "JANUARY",
                "proRataTermSection": "Month",
                "proRataPriceRounding": "Current",
                "crossTermEnabled": true,
                "crossTermPeriod": 30,
                "crossTermExcludeCurrentPrice": true,
                "createdOn": 1572257697000,
                "lastModified": 1572257992000,
                "prices": [
                    {
                        "id": 2107,
                        "currency": "CNY",
                        "price": 33
                    },
                    {
                        "id": 2108,
                        "currency": "USD",
                        "price": 22
                    }
                ],
                "taxes": [],
                "invoice": {
                    "isInvoiceApplicantCharged": true,
                    "isBTInvoiceEnabled": false,
                    "btInvoiceChargePercentage": 0,
                    "isVATGeneralInvoiceEnabled": true,
                    "vatGeneralInvoiceChargePercentage": 1,
                    "vatGeneralInvoiceMinimumAmount": 2,
                    "isVATSpecialInvoiceEnabled": true,
                    "vatSpecialInvoiceChargePercentage": 3,
                    "vatSpecialInvoiceMinimumAmount": 4
                },
                "extraFee": {
                    "application": {
                        "prices": [
                            {
                                "currency": "CNY",
                                "price": 1
                            },
                            {
                                "currency": "USD",
                                "price": 1
                            }
                        ],
                        "proRataEnabled": false
                    },
                    "renewal": {
                        "prices": [
                            {
                                "currency": "CNY",
                                "price": 2
                            },
                            {
                                "currency": "USD",
                                "price": 2
                            }
                        ],
                        "proRataEnabled": false
                    }
                },
                "discount": {
                    "application": {
                        "prices": [
                            {
                                "currency": "CNY",
                                "price": 2
                            },
                            {
                                "currency": "USD",
                                "price": 2
                            }
                        ],
                        "proRataEnabled": true
                    },
                    "renewal": {
                        "prices": [
                            {
                                "currency": "CNY",
                                "price": 3
                            },
                            {
                                "currency": "USD",
                                "price": 3
                            }
                        ],
                        "proRataEnabled": false
                    }
                },
                "additionalMembersPrices": [],
                "extraMembersPrices": []
            }
        ],
        "public": true
    }
]
Modified at 2026-06-29 08:37:20
Previous
Retrieve the Membership Industry List By Membership Type
Next
Retrieve the Membership List By Page
Built with